# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit desktop unpacker xdg

DESCRIPTION="Your entire server infrastructure at your fingertips"
HOMEPAGE="https://xpipe.io/"
SRC_URI="https://github.com/${PN}-io/${PN}/releases/download/${PV}/${PN}-installer-linux-x86_64.deb -> ${PN}-installer-linux-${PV}-x86_64.deb"
#SRC_URI="https://github.com/${PN}-io/${PN}/releases/download/${PV}/${PN}-installer-linux-x86_64.tar.gz -> ${PN}-installer-linux-${PV}-x86_64.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE=""

QA_PREBUILT="*"

RDEPEND="
"

S="${WORKDIR}"

#src_prepare() {
#	default
#	sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
#	sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
#		-i usr/bin/${PN} || die
#}

src_install() {

	insinto /opt
	doins -r opt/${PN}
	insinto /etc
	doins -r etc/bash_completion.d
	insinto /usr
	doins -r usr/bin

	domenu opt/${PN}/${PN}.desktop

	doman usr/share/man/man1/*

}
